<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>hk.quantr</groupId>
	<artifactId>quantr-vcd-library</artifactId>
	<version>1.1</version>
	<packaging>jar</packaging>
	<name>Quantr VCD Library</name>
	<developers>
		<developer>
			<id>peter</id>
			<name>Peter</name>
			<email>peter@quantr.hk</email>
			<organization>Quantr</organization>
			<organizationUrl>https://www.quantr.hk</organizationUrl>
			<roles>
				<role>Lead Programmer</role>
			</roles>
			<url>https://www.quantr.foundation</url>
		</developer>
	</developers>
	<scm>
		<url>https://gitlab.com/quantr/toolchain/quantr-vcd-library</url>
	</scm>
	<repositories>
		<repository>
			<id>quantr</id>
			<url>https://maven.quantr.hk/repo</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>quantr</id>
			<url>file:///home/maven.quantr.hk/www/repo</url>
		</repository>
	</distributionManagement>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>13</maven.compiler.source>
		<maven.compiler.target>13</maven.compiler.target>
		<build.date>${maven.build.timestamp}</build.date>
		<version>${project.version}</version>  
		<!--<maven.test.skip>true</maven.test.skip>-->
	</properties>
	<build>
		<plugins>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
				<version>4.11.1</version>
				<executions>
					<execution>
						<id>antlr</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<sourceDirectory>${basedir}/src/main/java/hk/quantr/vcd/antlr</sourceDirectory>
					<outputDirectory>${project.build.directory}/generated-sources/antlr4/hk/quantr/vcd/antlr</outputDirectory>
					<arguments>
						<argument>-package</argument>
						<argument>hk.quantr.vcd.antlr</argument>
					</arguments>
					<listener>true</listener>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
	</build>
	<profiles>
		<profile>
			<id>dev</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<packaging.type>jar</packaging.type>
				<maven.build.timestamp.format>yyyy-MM-dd HH:mm</maven.build.timestamp.format>
				<version>${project.version}</version>
			</properties>
			<build>
				<plugins>
					<plugin>
						<groupId>org.apache.maven.plugins</groupId>
						<artifactId>maven-assembly-plugin</artifactId>
						<version>3.3.0</version>
						<executions>
							<execution>
								<id>package-jar-with-dependencies</id>
								<phase>package</phase>
								<goals>
									<goal>single</goal>
								</goals>
								<configuration>
									<appendAssemblyId>false</appendAssemblyId>
									<descriptorRefs>
										<descriptorRef>jar-with-dependencies</descriptorRef>
									</descriptorRefs>
									<archive>
										<manifest>
											<mainClass>hk.quantr.vcd.QuantrVCDLibrary</mainClass>
										</manifest>
									</archive>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<dependencies>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4</artifactId>
			<version>4.11.1</version>
			<classifier>complete</classifier>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.2</version>
			<scope>test</scope>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.11.0</version>
		</dependency>
		<!--		<dependency>
			<groupId>com.fasterxml.jackson.dataformat</groupId>
			<artifactId>jackson-dataformat-xml</artifactId>
			<version>2.13.0</version>
		</dependency>-->
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>quantr-java-library</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>quantr-verilog-tool</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>2.13.3</version>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1.1</version>
		</dependency>
	</dependencies>
</project>